io.vertx.core.net

## Class JdkSSLEngineOptions

- java.lang.Object
- - io.vertx.core.net.SSLEngineOptions
  - - io.vertx.core.net.JdkSSLEngineOptions

-     public class JdkSSLEngineOptions
      extends SSLEngineOptions

  Configures a `TCPSSLOptions` to use the JDK ssl engine implementation.
  Author:
    Julien Viet

- - ### Field Summary

    - ### Fields inherited from class io.vertx.core.net.SSLEngineOptions

      `DEFAULT_USE_WORKER_POOL`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JdkSSLEngineOptions()`
    `JdkSSLEngineOptions(JdkSSLEngineOptions that)`
    `JdkSSLEngineOptions(JsonObject json)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `JdkSSLEngineOptions` | `copy()`
    `static boolean` | `isAlpnAvailable()`
    `boolean` | `isPooledHeapBuffers()`
    `JdkSSLEngineOptions` | `setPooledHeapBuffers(boolean pooledHeapBuffers)` Set whether to use pooled heap buffers.
    `JdkSSLEngineOptions` | `setUseWorkerThread(boolean useWorkerThread)` Set the thread pool to use for SSL blocking operations.
    `SslContextFactory` | `sslContextFactory()`
    `JsonObject` | `toJson()`

    - ### Methods inherited from class io.vertx.core.net.SSLEngineOptions

      `getUseWorkerThread`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JdkSSLEngineOptions

          public JdkSSLEngineOptions()

    - #### JdkSSLEngineOptions

          public JdkSSLEngineOptions(JsonObject json)

    - #### JdkSSLEngineOptions

          public JdkSSLEngineOptions(JdkSSLEngineOptions that)

  - ### Method Detail

    - #### isAlpnAvailable

          public static boolean isAlpnAvailable()

      Returns:
        if alpn support is available via the JDK SSL engine

    - #### setPooledHeapBuffers

          public JdkSSLEngineOptions setPooledHeapBuffers(boolean pooledHeapBuffers)

      Set whether to use pooled heap buffers. Default is `false`, but it is recommended to use pooled buffers

    - #### isPooledHeapBuffers

          public boolean isPooledHeapBuffers()

    - #### setUseWorkerThread

          public JdkSSLEngineOptions setUseWorkerThread(boolean useWorkerThread)

      Description copied from class: `SSLEngineOptions`
      Set the thread pool to use for SSL blocking operations.
      Overrides:
        `setUseWorkerThread` in class `SSLEngineOptions`
      Parameters:
        `useWorkerThread` - whether to use the vertx internal worker pool for SSL blocking operations
      Returns:
        a reference to this, so the API can be used fluently

    - #### toJson

          public JsonObject toJson()

    - #### copy

          public JdkSSLEngineOptions copy()

      Specified by:
        `copy` in class `SSLEngineOptions`

    - #### sslContextFactory

          public SslContextFactory sslContextFactory()

      Specified by:
        `sslContextFactory` in class `SSLEngineOptions`
      Returns:
        a `SslContextFactory` that will be used to produce the Netty `SslContext`

Copyright © 2025 Eclipse. All rights reserved.